function code=DST_code(dn)
% FH, 9/12/2013
% function code=DST_code(dn)
% indicates 0 if the specified date (datenum) is normal non-DST day; 1 if it is normal DST-day, 2 if it is date of change to DST and 3 if it is date of change from DST back to normal time
% cf. also ToDST_daynum.m, FromDST_daynum.m, IsDST_change.m
x=size(dn);
if sum(x)==2
  code=0;
  year=getfield(datevec(dn),{1});
  if dn<ToDST_daynum(year) || dn>FromDST_daynum(year), code=0;
  elseif dn>ToDST_daynum(year) && dn<FromDST_daynum(year), code=1;
  elseif dn==ToDST_daynum(getfield(datevec(dn),{1})), code=2;
  elseif dn==FromDST_daynum(getfield(datevec(dn),{1})), code=3;
  else error('Hm, error in DST_code; one of the 4 options should be found to be true...?');
  end;
else
  code=zeros(x);
  for i=1:x(1),for j=1:x(2)
        year=getfield(datevec(dn(i,j)),{1});
      if dn(i,j)<ToDST_daynum(year) || dn(i,j)>FromDST_daynum(year), code(i,j)=0;
      elseif dn(i,j)>ToDST_daynum(year) && dn(i,j)<FromDST_daynum(year), code(i,j)=1;
      elseif dn(i,j)==ToDST_daynum(getfield(datevec(dn(i,j)),{1})), code(i,j)=2;
      elseif dn(i,j)==FromDST_daynum(getfield(datevec(dn(i,j)),{1})), code(i,j)=3;
      else error('Hm, error in DST_code; one of the 4 options should be found to be true...?');
      end;
  end;end;
end;
