function b=fdelnan(a);
%Florian Habermacher, Atlanta 2005
%
%a is a matrix n*m and b will be a matrix (n-d)*m, where d is the number of
%lines in a that contain at least one NaN-value: b is the matrix that
%contains a without the lines from a where at least one element is NaN
nla=size(a,1);nc=size(a,2)
b=zeros(nla,nc);nlb=0;
for l=1:nla
    hasnan=false;
    for c=1:nc
        if isnan(a(l,c)) hasnan=true;end;
    end;
    if ~hasnan
        nlb=nlb+1;b(nlb,1:nc)=a(l,1:nc);
    end;
end;
b=b(1:nlb,:);
    