function femail(id,subject,message,attachment)
% function femail(id,subject,message,attachment)
% FH, Jan 2012 (OxCarre Oxford)
% Sends email to general address, or - as default when the "@" extension is not provided in id - to gmail.
%
% Example
%
% femail('florian.habermacher@unisg.ch','Simulation finished','This is the message area','results.doc'),
%
% or, equivalently to each other:
%
% femail('florian.habermacher','Simulation finished','This is the message area','results.doc'),
% femail('florian.habermacher@gmail.com','Simulation finished','This is the message area','results.doc')
%
% Note: for Matlab Version after 7.1, potentially the original implementation, according to http://www.mathworks.com/matlabcentral/fileexchange/20227-send-email-to-gmail-account/content/send_mail_message.m
%       would work instead of the changes made here based on http://www.mathworks.ch/support/solutions/en/data/1-CZXO98/index.html?solution=1-CZXO98

% This function is heavily drawing on
% -http://www.mathworks.ch/support/solutions/en/data/1-CZXO98/index.html?solution=1-CZXO98, and
% -(the after all more problematic) fct. send_mail_message(id,subject,message,attachment) from Pradyumna June 2008 downloaded on Jan 14 2013 from
% http://www.mathworks.com/matlabcentral/fileexchange/20227-send-email-to-gmail-account/content/send_mail_message.m

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Sender's gmail ID and password 
%(from which email ID you would like to send the mail)
mail = 'floerli@gmail.com';%Your Gmail email address
password = 'Flo69676';%Your Gmail password
server = 'smtp.gmail.com';
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if nargin == 1
    message = subject;
    subject = '';
elseif nargin == 2
    message = '';
    attachment = '';
elseif nargin == 3
    attachment = '';
end

% Send Mail ID
if sum(find(id=='@')), emailto=id;else emailto = strcat(id,'@gmail.com');end;
%% Set up Gmail SMTP service.

%This used for version Matlab 7.1:
props = java.lang.System.getProperties;
props.setProperty('mail.smtp.port','587');

% Then this code will set up the preferences properly:
setpref('Internet','E_mail',mail);
setpref('Internet','SMTP_Server',server);
setpref('Internet','SMTP_Username',mail);
setpref('Internet','SMTP_Password',password);

% Gmail server.
%The following probably to be used for versions after Matlab 7.1 if I understood right:
%props = java.lang.System.getProperties;
%props.setProperty('mail.smtp.auth','true');
%props.setProperty('mail.smtp.socketFactory.class', 'javax.net.ssl.SSLSocketFactory');
%props.setProperty('mail.smtp.socketFactory.port','465');

%% Send the email
if strcmp(mail,'GmailId@gmail.com')
    disp('Please provide your own gmail.')
    disp('You can do that by modifying the first two lines of the code')
    disp('after the comments.')
end

%fdisp('Attachment=',attachment);
%sendmail(emailto,subject,message,attachment)
if nargin<4 sendmail(emailto,subject,message); else sendmail(emailto,subject,message,attachment);end;

end