function [co,number_finite_values]=fnancorr(X,Y);
%function co=fnancorr(X,Y);
%
%Correlation, same as corr, but with leaving out any value-pairs from which
%at least one value is NaN
%
%X and Y must be one-dimensional vectors, but can individually consist either of lines or of
%columns
%
%number_finite_values  (if received) gives back the number of finite values
%in the vectors
%
%Florian Habermacher, EFLUM, EPFL, Sensorscope, Wow - a lot of data!

if size(X,2)>1 X=X';if size(X,2)>1 fdisp('fnancorr: Problem: X must be a one-dimensional vector. Returning NaN');co=NaN;return;end;end;
if size(Y,2)>1 Y=Y';if size(Y,2)>1 fdisp('fnancorr: Problem: Y must be a one-dimensional vector. Returning NaN');co=NaN;return;end;end;
finfin=(isfinite(X))&(isfinite(Y));
number_finite_values=sum(finfin);
if number_finite_values==0 fdisp('fnancorr: Problem: No non-NaN-value pair in X and Y. Returning NaN');co=NaN;return;end;
co=corr(X(finfin),Y(finfin));