function fpercl(axe,axi)
% function fpercl(axes,axis)
% Transforms the [numeric] labels on the axis "axi" ['x' or 'y' (or 'z')] of the axes "axe" into percentages
% "axe" is facultative - if it is left out, the function uses the currently active axes (gca)
%
% See also fpercx, fpercy, fpercz
%
% Florian Habermacher, SIAW-HSG, 3.4.2012
if nargin==1, axi=axe;axe=gca;end;
if numel(axi)~=1 disp('Error in fperc: axi must be a single character (x or y or z), but it isn''t - aborting fperc.');disp(axi);return;end;
if ~((axi=='x')|(axi=='y')|(axi=='z')) disp('Error in fperc: axi must be character x or y or z, but it isn''t - aborting fperc.');disp(axi);return;end;
nam=[axi, 'ticklabel'];%will be either 'xticklabel', 'yticklabel', or 'zticklabel'
labels=get(axe,nam);
%labels_modif=[num2str(100*str2num(labels)) ones(length(labels),1)*'%'];
labels_modif=[num2str(100*str2num(labels)) ones(size(labels,1),1)*'%'];
set(axe,nam,labels_modif);
