function fpercy2(axe,permil)
% function fpercy2(axes,permil)
% Version 2 (250613, SIAW-HSG/OxCarre-UniOxf): Allows to use permil instead of percent and corrects for scaling.
% Transforms the [numeric] labels on the y-axis of the axes "axe" into percentages
% "axe" is facultative - if it is left out, the function uses the currently active axes (gca)
%
% See also fpercl, fpercx, fpercz
%
% Florian Habermacher, SIAW-HSG, 3.4.2012
if nargin<=1, permil=false;end;
if nargin==0, axe=gca;end;
nam2='ytick';nam='yticklabel';
%labels=get(axe,nam);
labelsnr=get(axe,nam2)';
%labels_modif=[num2str(100*str2num(labels)) ones(length(labels),1)*'%'];
%labels_modif=[num2str(100*str2num(labels)) ones(size(labels,1),1)*'%'];
labels_modif=[num2str(100*fcond(permil,10,1)*labelsnr) ones(size(labelsnr,1),1)*fcond(permil,'','%')];
set(axe,nam,labels_modif);
