function fpercz(axe)
% function fpercz(axes)
% Transforms the [numeric] labels on the z-axis of the axes "axe" into percentages
% "axe" is facultative - if it is left out, the function uses the currently active axes (gca)
%
% See also fpercl, fpercx, fpercy
%
% Florian Habermacher, SIAW-HSG, 3.4.2012
if nargin==0, axe=gca;end;
nam='zticklabel';
labels=get(axe,nam);
%labels_modif=[num2str(100*str2num(labels)) ones(length(labels),1)*'%'];
labels_modif=[num2str(100*str2num(labels)) ones(size(labels,1),1)*'%'];
set(axe,nam,labels_modif);
