function fpp_nsp(spn,f,power)
%Florian Habermacher, GaTech Lamda Atlanta 2005, EPFL EFLUM 2007
%function fpp_nsp(spn,f,power)
%
% fpp_nsp: like fpp, but without using the command "subplot". This is good
% for plotting with using axis('position',RECT)...!!!!
%
% 
%see fpp and also fpsetmm, fpsetsub, fpsetsha, fpscale

global fpspx fpspy fpmax fpmin fpsha
if nargin==1 f=spn;spn=1;power=1;end;
if nargin==2 if numel(spn)>2 power=f;f=spn;spn=1;else power=1;end;end;
while size(f,1)==1 f=fdeldim1(f);end;
if size(fpsha)==[0 0] fpsha='interpolated';fdisp('fpp: Shadingmode set to ''interpolated'' (use fppsetsha)');end;
if size(fpmin)==[0 0] fpsetmm(f);fdisp('fpp: fpmin/max set for f by using fpsetmm');end;
if size(fpspx)==[0 0] fpsetsub([1 1]);fdisp('fpp: fpspx/y set to [1 1] by using fpsetsub');end;
d=size(f);
z=zeros(d(1)+1,d(2)+1);
for x=1:d(1),for y=1:d(2)
        z(x,y)=sign(f(x,y))*abs(f(x,y))^power;
end;end;
v=sign(fpmin)*abs(fpmin)^power;
for x=1:size(f,1) z(x,d(2)+1)=z(x,d(2));end;
for y=1:size(f,2)+1 z(d(1)+1,y)=z(d(1),y);end;
z(d(1)+1,d(2))=sign(fpmin)*abs(fpmin)^power;
z(d(1),d(2)+1)=sign(fpmax)*abs(fpmax)^power;
if numel(spn)==2 spn=fpspy*(spn(1)-1)+spn(2);end;
if spn>fpspx*fpspy
    fpspy=ceil(spn/fpspx);
end;
%subplot(fpspx,fpspy,spn);
pcolor(z');
switch fpsha
    case 'interpolated'
        shading interp;
    case 'i'
        shading interp;    
    case 'flat'
        shading flat;
    case 'faceted',shading faceted;
    otherwise fdisp('Error in fpp: Shadingmode fpsha must be set either to ''interpolated'' (or ''i''), ''flat'' or ''faceted''. Use fpsetsha to set fpsha.');
        shading interp;
end;