function p=fprogress(now,tot,times);
%Florian Habermacher, Lausanne 2006
%
%Displays, always at the same place on the same line, the number 'times' times the percentage of progress of the
%execution of a loop where now is the actual iteration and tot is the total numer of iteration
%
%times is optional - if it ain't specified its 100 (i.e. progress will be
%shown for every percent of progress
%
%Ideally, run fdstatstart to initiate the process to be sure no other displayed output gets overwritten.
%
%See also fdstat, fdstatstart
%
%Example:
% for i=1:1000
%     fprogress(i,1000,10);
%     x=..;..
% end;
% --> Will show 10 times the percentage of progress of the loops execution (10%, 20%, 30%... 100%)
global lastfdstatcharnumber
if now==1 || numel(lastfdstatcharnumber)==0 fdstatstart;end;
if round(times*now/tot)>round(times*(now-1)/tot) fdstat(round(100*now/tot),'%');end;