function fpsave(fn,format, resolution);
%Florian Habermacher, Atlanta 2005
%function fpsave(fn,format, resolution), format and resolution are optional
%
% Note: Better use generally now function fsaveas to save picture (though there cannot specify resolution)
%
%Saves the picture of the graph into a file of type format and with
%filename fn. FILENAME DOES NOT HAVE TO INCLUDE THE EXTENSION OF THE FILE:
%THE EXTENSION WILL BE ADDED ACCORDING TO THE FILETYPE.
%
%If format is not specified, it will be BMP.
%
%If resolution is not specified (or 0), the values preset by Matlab will be used.
%
%possible formats are: 'BMP', 'TIF', 'JPG'

if nargin==2
    if numel(format)==1 resolution=format;format='BMP';
    else resolution=0;
    end;
end;
if nargin==1
    resolution=0;format='BMP';
end;
switch format
    case'BMP',grd='-dbmp';grext='.bmp';
    case'TIF',grd='-dtiff';grext='.tif';
    case'JGP',grd='-djpg';grext='.jpg';
    otherwise,fdisp('Set flag_graph_mode to one of the appropriate values');
end;

if resolution~=0
    print(grd,fstring('-r',resolution),fstring(fn,grext));
else
    print(grd,fstring(fn,grext));
end;

        