function fsaveaspng(h,fn,res,figalso)
% function fsaveas(h,fn,resolution,figalso)
% Saves the figure in handle h as a PNG to the filename fn.png (and if figalso=true [default is false] first as *.fig), with resolution (in dpi) res (default is 1200).
% -If instead of an integer (for res), the 3rd argument is a logical, this is interpreted as the figalso value and res is set to its default (1200)
% Florian Habermacher, Feb 2013
% Usefull, e.g., if using LaTeX interpreter for annotations that with EMF are creating font problems in PDF from LyX..
if nargin<3 res=1200;
elseif nargin==3,if islogical(res),res=1200;figalso=res;else figalso=false;end;
end;
if figalso saveas(h,[fn,'.fig']);end;
figpos=getpixelposition(h); %dont need to change anything here
resolution=get(0,'ScreenPixelsPerInch'); %dont need to change anything here
set(h,'paperunits','inches','papersize',figpos(3:4)/resolution,'paperposition',[0 0 figpos(3:4)/resolution]); %dont need to change anything here
print(h,fn,'-dpng',['-r',num2str(res)],'-opengl') %save file 