function [X, Y]=fsolve2aXbYc(a1,b1,c1,a2,b2,c2);
%function [X, Y]=fsolve2aXbYc(a1,b1,c1,a2,b2,c2);
%Solves the system a1*X+b1*Y=c1, a2*X+b2*Y=c2.
%-Returns NaN for the values that couldn't be calculated
%-If one of the two values can't be calculated and the other is
%doulbe-estimated, the two estimations of the double-estimated value will
%be returned
if (a1*b1*a2*b2)~=0
%     if (a1/b1)~=(a2/b2) d=b1/a1; X=(c1-c2*d)/(a1-b2*d);Y=(c1-a1*X)/b1;
    if (a1/b1)~=(a2/b2) d=b1/b2; X=(c1-c2*d)/(a1-a2*d);Y=(c1-a1*X)/b1;
    else X=NaN;Y=NaN;
    end;
elseif (a1==0)&(b1==0)
    if a2==0 X=NaN;Y=c2/b2;
    elseif b2==0 Y=NaN;X=c2/a2;
    else X=NaN;Y=NaN;
    end;
elseif (a2==0)&(b2==0)
    if a1==0 X=NaN;Y=c1/b1;
    elseif b1==0 Y=NaN;X=c1/a1;
    else X=NaN;Y=NaN;
    end;    
elseif (a1==0)
    Y=c1/b1;if a2==0 X=NaN;else X=(c2-b2*Y)/a2;end;
elseif (b1==0)
    X=c1/a1;if b2==0 Y=NaN;else Y=(c2-a2*X)/b2;end;
elseif (a2==0)
    Y=c2/b2;if a1==0 X=NaN;else X=(c1-b1*Y)/a1;end;
elseif (b2==0)
    X=c2/a2;if b1==0 Y=NaN;else Y=(c1-a1*X)/b1;end;
else fdisp('Error: Something is wrong in function fsolve2aXbYc');
end;