function th=ftextd(dx,dy,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,a17,a18,a19,a20)
%function th=ftextd(dx,dy,a1,a2,a3,a4,a5,a6,a7,a8,a9,a10,a11,a12,a13,a14,a15,a16,a17,a18,a19,a20)
%Writes on the graph the arguments that can be one to 20 in number and numerical,
%logical or strings as format.
%
%ftextd is the same as ftext, but instead of calling it with the absolute
%positions x and y of the writing, you just use the distance of the new
%writing to the old writing done with fdtext. You have to set the initial
%position with ftextdsp; if no values have yet been assigned, initial
%position will be set to 0.
%
%Florian Habermacher, Lausanne 2006
%
%See also: "ftext" and "ftextset" and "ftextdsp"
global ftcoordmode ftFontWeight ftFontSize ftextdpx ftextdpy ftHorizontalAlignment ftVerticalAlignment ftColor
flogw=['false'; 'true '];
if size(ftcoordmode)==[0 0] ftcoordmode='inv';fdisp('ftextd: ftcoordmode set to ''inv''; coordinates x/y will be inversed to y/x (good e.g. for pcolor...). Use ftextset to change parameters');end;
if size(ftFontWeight)==[0 0] ftFontWeight='normal';fdisp('ftextd: ftFontWeight set to ''normal''. Use ftextset to change parameters');end;
if size(ftFontSize)==[0 0] ftFontSize=10;fdisp('ftextd: ftFontSize set to 10. Use ftextset to change parameters');end;
if size(ftextdpx)==[0 0] ftextpx=0;end;if size(ftextdpy)==[0 0] ftextpy=0;end;
if size(ftHorizontalAlignment)==[0 0] ftHorizontalAlignment='left';fdisp('ftext: ftHorizontalAlignment set to ''left''. Use ftextset to change parameters');end;
if size(ftVerticalAlignment)==[0 0] ftVerticalAlignment='Middle';fdisp('ftext: ftVerticalAlignment set to ''Middle''. Use ftextset to change parameters');end;
if size(ftColor)==[0 0] ftColor='k';fdisp('ftext: ftColor set to ''k'' (i.e., black). Use ftextset to change parameters');end;
fdispstr='';
for i=1:nargin-2
    clear a;
    eval(['a=a' num2str(i) ';']);
    if isnumeric(a), fdispstr=[fdispstr, num2str(a)];elseif islogical(a),fdispstr=[fdispstr,flogw(a+1,:)];else fdispstr=[fdispstr,a];end;
end;
switch ftcoordmode
    case 'inv',xx=dy;yy=dx;
    case 'direct',xx=dx;yy=dy;
    otherwise fdisp('Error in ftextd: ftcoordmode must be set either to ''inv'' or to ''direct''');return;
end;
ftextdpx=ftextdpx+xx;ftextdpy=ftextdpy+yy;
th=text(ftextdpx,ftextdpy,fdispstr,'FontWeight',ftFontWeight,'FontSize',ftFontSize,'HorizontalAlignment',ftHorizontalAlignment,'VerticalAlignment',ftVerticalAlignment,'Color',ftColor);
        