function timestamp=ftimestamp(fixedlength)
% function timestamp=ftimestamp(fixedlength)
%
% Gives back a string indicating data&time
%
% If fixedlength is passed as true, zeros will be added if needed to make consistent length for all possible points in time.
%
% Florian Habermacher, 2 Jan 2015, florian.habermacher@gmail.com.
tsv=clock;
if nargin==1 && fixedlength,
  timestamp=fstring(tsv(1),'-',fn2sfix(tsv(2),2),'-',fn2sfix(tsv(3),2),'-',fn2sfix(tsv(4),2),'h',fn2sfix(tsv(5),2));
else
  timestamp=fstring(tsv(1),'-',tsv(2),'-',tsv(3),'-',tsv(4),'h',tsv(5));
end;