function v=fv(mi,ma,n)
%function v=fv(mi,ma,n): Linear-Distance Vector
%Returns a vector of n equidistant elements going from the minimal value "mi" to the maximum "ma"
%Florian Habermacher, UNISG-SIAW 2010
%
%If called w/o parameters, fv uses the parameters from the last call,
%if called with 1 argument, it uses the mi and ma from the last call,
% and if called with 2 agruments, it uses the n from the last call.
%
%If n is not integer, it uses the rounded value of n.
%
%Note, mi can also be lower than ma...
%
%See also fve(mi,ma,n) for the same but elements that are equidistant in terms of exponential values
global fvstore;
a=nargin;
switch a
    case 3,
    case 0,if ~size(fvstore)==0,mi=fvstore(1);ma=fvstore(2);n=fvstore(3);
       else fdisp('Error in f-function "fv": three arguments needed when calling fv() the first time!');return;end;
    case 1,if ~size(fvstore)==0,n=mi;mi=fvstore(1);ma=fvstore(2);
       else fdisp('Error in f-function "fv": three arguments needed when calling fv() the first time!');return;end;
    case 2,if ~size(fvstore)==0,n=fvstore(3);
       else fdisp('Error in f-function "fv": three arguments needed when calling fv() the first time!');return;end;
    otherwise,fdisp('Error in f-function "fv": eventually 0 to 3 arguments needed when calling fv(), but you have passed ',nargin,' elements!');return;
end;
fvstore=[mi ma n];
n=round(n);
v=mi+(ma-mi)*[0:(n-1)]/(n-1);        
