function v=fve(mi,ma,n)
%function v=fve(mi,ma,n): Exponential-Distance Vector
%Returns a vector of n elements going from the minimal value "mi" to the maximum "ma",
%equidistant in terms of exponentials; i.e. from each value the next one is "distant" by the same
%factor..
%Florian Habermacher, UNISG-SIAW 2010
%
%If called w/o parameters, fv uses the parameters from the last call,
%if called with 1 argument, it uses the mi and ma from the last call,
% and if called with 2 agruments, it uses the n from the last call.
%
%If n is not integer, it uses the rounded value of n.
%
%Note, mi can also be lower than ma...
%
%See also fv(mi,ma,n) for the same but elements that are equidistant in terms of linear values
global fvestore;
a=nargin;
switch a
    case 3,
    case 0,if ~size(fvestore)==0,mi=fvestore(1);ma=fvestore(2);n=fvestore(3);
       else fdisp('Error in f-function "fv": three arguments needed when calling fv() the first time!');return;end;
    case 1,if ~size(fvestore)==0,n=mi;mi=fvestore(1);ma=fvestore(2);
       else fdisp('Error in f-function "fv": three arguments needed when calling fv() the first time!');return;end;
    case 2,if ~size(fvestore)==0,n=fvestore(3);
       else fdisp('Error in f-function "fv": three arguments needed when calling fv() the first time!');return;end;
    otherwise,fdisp('Error in f-function "fv": eventually 0 to 3 arguments needed when calling fv(), but you have passed ',nargin,' elements!');return;
end;
fvestore=[mi ma n];
n=round(n);
lmi=log(mi);lma=log(ma);
lv=lmi+(lma-lmi)*[0:(n-1)]/(n-1);
v=exp(lv);